Index: applications/editors/josm/plugins/geotools/.classpath
===================================================================
--- applications/editors/josm/plugins/geotools/.classpath	(revision 33930)
+++ applications/editors/josm/plugins/geotools/.classpath	(revision 34125)
@@ -7,55 +7,55 @@
 	<classpathentry exported="true" kind="lib" path="lib/commons-pool-1.5.4.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/GeographicLib-Java-1.44.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/gt-api-19-SNAPSHOT.jar" sourcepath="lib/gt-api-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-api-19.0.jar" sourcepath="lib/gt-api-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-coverage-19-SNAPSHOT.jar" sourcepath="lib/gt-coverage-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-coverage-19.0.jar" sourcepath="lib/gt-coverage-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-data-19-SNAPSHOT.jar" sourcepath="lib/gt-data-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-data-19.0.jar" sourcepath="lib/gt-data-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-epsg-extension-19-SNAPSHOT.jar" sourcepath="lib/gt-epsg-extension-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-epsg-extension-19.0.jar" sourcepath="lib/gt-epsg-extension-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-epsg-hsql-19-SNAPSHOT.jar" sourcepath="lib/gt-epsg-hsql-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-epsg-hsql-19.0.jar" sourcepath="lib/gt-epsg-hsql-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-geotiff-19-SNAPSHOT.jar" sourcepath="lib/gt-geotiff-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-geotiff-19.0.jar" sourcepath="lib/gt-geotiff-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-main-19-SNAPSHOT.jar" sourcepath="lib/gt-main-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-main-19.0.jar" sourcepath="lib/gt-main-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-metadata-19-SNAPSHOT.jar" sourcepath="lib/gt-metadata-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-metadata-19.0.jar" sourcepath="lib/gt-metadata-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-opengis-19-SNAPSHOT.jar" sourcepath="lib/gt-opengis-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-opengis-19.0.jar" sourcepath="lib/gt-opengis-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-referencing-19-SNAPSHOT.jar" sourcepath="lib/gt-referencing-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-referencing-19.0.jar" sourcepath="lib/gt-referencing-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
 		</attributes>
 	</classpathentry>
-	<classpathentry exported="true" kind="lib" path="lib/gt-shapefile-19-SNAPSHOT.jar" sourcepath="lib/gt-shapefile-19-SNAPSHOT-sources.jar">
+	<classpathentry exported="true" kind="lib" path="lib/gt-shapefile-19.0.jar" sourcepath="lib/gt-shapefile-19.0-sources.jar">
 		<attributes>
 			<attribute name="javadoc_location" value="http://docs.geotools.org/stable/javadocs/"/>
@@ -63,24 +63,24 @@
 	</classpathentry>
 	<classpathentry exported="true" kind="lib" path="lib/hsqldb-2.3.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-geocore-1.1.19.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-streams-1.1.19.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-tiff-1.1.19.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-utilities-1.1.19.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-geocore-1.1.20.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-streams-1.1.20.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-tiff-1.1.20.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/imageio-ext-utilities-1.1.20.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jai_codec-1.1.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jai_core-1.1.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jai_imageio-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jdom-1.1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jdom2-2.0.6.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jsr-275-1.0-beta-2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-colorconvert-1.0.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-colorconvert-1.0.20.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-contour-1.4.0.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-rangelookup-1.4.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-stats-1.0.17.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-utilities-1.0.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-stats-1.0.20.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-utilities-1.0.20.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-utils-1.4.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-vectorbin-1.0.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-vectorbin-1.0.20.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-vectorbinarize-1.4.0.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-vectorize-1.4.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-warp-1.0.17.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jt-zonal-1.0.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-warp-1.0.20.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jt-zonal-1.0.20.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jt-zonalstats-1.4.0.jar"/>
 	<classpathentry combineaccessrules="false" kind="src" path="/JOSM-jts"/>