Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/NonRegFunctionalTests.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/NonRegFunctionalTests.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/NonRegFunctionalTests.java	(revision 34153)
@@ -23,8 +23,13 @@
 import org.openstreetmap.josm.tools.CheckParameterUtil;
 
+/**
+ * Superclass of non-reg functional tests.
+ */
 public abstract class NonRegFunctionalTests {
 
     /**
      * Non-regression generic test.
+     * @param context context
+     * @param ds data set
      */
     public static void testGeneric(String context, DataSet ds) {
@@ -52,4 +57,5 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/10214">#10214</a>
+     * @param ds data set
      */
     public static void testTicket10214(DataSet ds) {
@@ -70,4 +76,5 @@
      * Lists all datasets files matching given extension.
      * @param ext file extension to search for
+     * @return all datasets files matching given extension
      * @returns List of all datasets files matching given extension
      * @throws IOException in case of I/O error
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/GmlReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/GmlReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/GmlReaderTest.java	(revision 34153)
@@ -7,9 +7,5 @@
 import java.io.File;
 import java.io.FileInputStream;
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -32,8 +28,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/11624">#11624</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket11624() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket11624() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(11624, "temp3.gml"));
         try (InputStream is = new FileInputStream(file)) {
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/KmlReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/KmlReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/KmlReaderTest.java	(revision 34153)
@@ -5,9 +5,5 @@
 import static org.junit.Assert.assertTrue;
 
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -46,8 +42,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/12694">#12694</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket12694() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket12694() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(12694, "Alvinรณpolis_314946.kml")) {
             NonRegFunctionalTests.testGeneric("#12694", KmlReader.parseDataSet(is, null));
@@ -57,8 +53,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/10214">#10214</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket10214() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket10214() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(10214, "utf8_test.kml")) {
             NonRegFunctionalTests.testTicket10214(KmlReader.parseDataSet(is, null));
@@ -68,8 +64,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/7714">#7714</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket7714() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket7714() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(7714, "doc.kml")) {
             NonRegFunctionalTests.testGeneric("#7714", KmlReader.parseDataSet(is, null));
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/ShpReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/ShpReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/ShpReaderTest.java	(revision 34153)
@@ -8,9 +8,5 @@
 import java.io.File;
 import java.io.FileInputStream;
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Ignore;
@@ -36,8 +32,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/12714">#12714</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket12714() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket12714() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(12714, "linhas.shp"));
         try (InputStream is = new FileInputStream(file)) {
@@ -50,9 +46,9 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/11761">#11761</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
     @Ignore("work in progress")
-    public void testTicket11761() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket11761() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(11761, "HAR.shp"));
         try (InputStream is = new FileInputStream(file)) {
@@ -68,8 +64,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/10214">#10214</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket10214() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket10214() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(10214, "utf8_test.shp"));
         try (InputStream is = new FileInputStream(file)) {
@@ -80,8 +76,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/8309">#8309</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket8309() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket8309() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(8309, "new_ti_declarada.shp"));
         try (InputStream is = new FileInputStream(file)) {
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/TabReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/TabReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/geographic/TabReaderTest.java	(revision 34153)
@@ -4,9 +4,5 @@
 import java.io.File;
 import java.io.FileInputStream;
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -29,8 +25,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/15159">#15159</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket15159() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket15159() throws Exception {
         File file = new File(TestUtils.getRegressionDataFile(15159, "Sanisette.tab"));
         try (InputStream is = new FileInputStream(file)) {
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/CsvReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/CsvReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/CsvReaderTest.java	(revision 34153)
@@ -2,9 +2,5 @@
 package org.openstreetmap.josm.plugins.opendata.core.io.tabular;
 
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -57,8 +53,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/13508">#13508</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket13508() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket13508() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(13508, "arrets-de-bus0.csv")) {
             NonRegFunctionalTests.testGeneric("#13508", CsvReader.parseDataSet(is, newHandler("EPSG:4326"), null));
@@ -68,8 +64,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/10214">#10214</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket10214() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket10214() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(10214, "utf8_test.csv")) {
             NonRegFunctionalTests.testTicket10214(CsvReader.parseDataSet(is, newHandler("EPSG:4326"), null));
@@ -79,8 +75,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/8805">#8805</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket8805() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket8805() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(8805, "XXX.csv")) {
             NonRegFunctionalTests.testGeneric("#8805", CsvReader.parseDataSet(is, newHandler("EPSG:4326"), null));
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/OdsReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/OdsReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/OdsReaderTest.java	(revision 34153)
@@ -2,9 +2,5 @@
 package org.openstreetmap.josm.plugins.opendata.core.io.tabular;
 
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -27,8 +23,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/13821">#13821</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket13821() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket13821() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(13821, "1_set_v_0.6_2016_06_21_06_00_23_a.ods")) {
             NonRegFunctionalTests.testGeneric("#13821", OdsReader.parseDataSet(is, null, null));
Index: applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/XlsReaderTest.java
===================================================================
--- applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/XlsReaderTest.java	(revision 34072)
+++ applications/editors/josm/plugins/opendata/test/unit/org/openstreetmap/josm/plugins/opendata/core/io/tabular/XlsReaderTest.java	(revision 34153)
@@ -5,9 +5,5 @@
 import static org.junit.Assert.assertNotNull;
 
-import java.io.IOException;
 import java.io.InputStream;
-
-import javax.xml.stream.FactoryConfigurationError;
-import javax.xml.stream.XMLStreamException;
 
 import org.junit.Rule;
@@ -61,8 +57,8 @@
     /**
      * Non-regression test for ticket <a href="https://josm.openstreetmap.de/ticket/15980">#15980</a>
-     * @throws IOException if an error occurs during reading
+     * @throws Exception if an error occurs during reading
      */
     @Test
-    public void testTicket15980() throws IOException, XMLStreamException, FactoryConfigurationError {
+    public void testTicket15980() throws Exception {
         try (InputStream is = TestUtils.getRegressionDataStream(15980, "qry_OSM_Import_Orte.xls")) {
             DataSet ds = XlsReader.parseDataSet(is, newHandler("EPSG:4326"), null);