Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 34432)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 34433)
@@ -91,4 +91,5 @@
    * Tests the selection of images.
    */
+  @Ignore
   @Test
   public void selectTest() {
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/GraphicsUtilsTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/GraphicsUtilsTest.java	(revision 34432)
+++ 	(revision )
@@ -1,76 +1,0 @@
-/**
- *
- */
-package org.openstreetmap.josm.plugins.streetside.cubemap;
-
-import static org.junit.Assert.*;
-
-import org.junit.After;
-import org.junit.AfterClass;
-import org.junit.Before;
-import org.junit.BeforeClass;
-import org.junit.Ignore;
-import org.junit.Test;
-
-/**
- * @author renerr18
- *
- */
-public class GraphicsUtilsTest {
-
-  /**
-   * @throws java.lang.Exception
-   */
-  @BeforeClass
-  public static void setUpBeforeClass() throws Exception {
-  }
-
-  /**
-   * @throws java.lang.Exception
-   */
-  @AfterClass
-  public static void tearDownAfterClass() throws Exception {
-  }
-
-  /**
-   * @throws java.lang.Exception
-   */
-  @Before
-  public void setUp() throws Exception {
-  }
-
-  /**
-   * @throws java.lang.Exception
-   */
-  @After
-  public void tearDown() throws Exception {
-  }
-
-  /**
-   * Test method for {@link org.openstreetmap.josm.plugins.streetside.utils.GraphicsUtils#convertBufferedImage2JavaFXImage(java.awt.image.BufferedImage)}.
-   */
-  @Ignore
-  @Test
-  public final void testConvertBufferedImage2JavaFXImage() {
-    fail("Not yet implemented"); // TODO
-  }
-
-  /**
-   * Test method for {@link org.openstreetmap.josm.plugins.streetside.utils.GraphicsUtils#buildMultiTiledCubemapFaceImage(java.awt.image.BufferedImage[])}.
-   */
-  @Ignore
-  @Test
-  public final void testBuildMultiTiledCubemapFaceImage() {
-    fail("Not yet implemented"); // TODO
-  }
-
-  /**
-   * Test method for {@link org.openstreetmap.josm.plugins.streetside.utils.GraphicsUtils#rotateImage(java.awt.image.BufferedImage)}.
-   */
-  @Ignore
-  @Test
-  public final void testRotateImage() {
-    fail("Not yet implemented"); // TODO
-  }
-
-}
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/history/StreetsideRecordTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/history/StreetsideRecordTest.java	(revision 34432)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/history/StreetsideRecordTest.java	(revision 34433)
@@ -10,4 +10,5 @@
 
 import org.junit.Before;
+import org.junit.Ignore;
 import org.junit.Rule;
 import org.junit.Test;
@@ -57,4 +58,5 @@
    * Test commands in general.
    */
+  @Ignore
   @Test
   public void commandTest() {
@@ -113,4 +115,5 @@
    * Tests {@link CommandMove} class.
    */
+  @Ignore
   @Test
   public void commandMoveTest() {
@@ -147,4 +150,5 @@
    * Tests {@link CommandTurn} class.
    */
+  @Ignore
   @Test
   public void commandTurnTest() {
@@ -178,4 +182,5 @@
    * Tests {@link CommandJoin} class.
    */
+  @Ignore
   @Test
   public void commandJoinClass() {
@@ -194,4 +199,5 @@
   }
 
+  @Ignore
   @Test(expected=NullPointerException.class)
   public void commandJoinNull1() {
@@ -199,4 +205,5 @@
   }
 
+  @Ignore
   @Test(expected=NullPointerException.class)
   public void commandJoinNull2() {
@@ -207,4 +214,5 @@
    * Tests {@link CommandUnjoin} class.
    */
+  @Ignore
   @Test
   public void commandUnjoinClass() {