Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/ConvertedWay.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/ConvertedWay.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/ConvertedWay.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes;
 
@@ -8,5 +9,4 @@
 import org.openstreetmap.josm.data.osm.Node;
 import org.openstreetmap.josm.data.osm.Way;
-
 
 public class ConvertedWay {
@@ -22,5 +22,5 @@
         public boolean equals(Object o) {
             if (o instanceof WayEnd) {
-                WayEnd otherEnd = (WayEnd)o;
+                WayEnd otherEnd = (WayEnd) o;
                 return end.equals(otherEnd.end) && routes.equals(otherEnd.getRoutes());
             } else {
@@ -61,8 +61,8 @@
     /**
      * Connects way to this way. Other ways internal representation is destroyed!!!
-     * @param way
+     * @param way way
      */
     public void connect(ConvertedWay way) {
-        for (int i=0; i<2; i++) {
+        for (int i = 0; i < 2; i++) {
             if (way.nodes.get(0).equals(nodes.get(nodes.size() - 1))) {
                 way.nodes.remove(0);
@@ -88,5 +88,3 @@
         return routes;
     }
-
-
 }
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/MANIFEST.MF
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/MANIFEST.MF	(revision 33896)
+++ 	(revision )
@@ -1,3 +1,0 @@
-Manifest-Version: 1.0
-Plugin-Class: org.openstreetmap.josm.plugins.routes.RoutesPlugin
-Plugin-Description: Routes plug-in (Manifest for debugging in Eclipse, not to be used in deployement)
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/PathBuilder.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/PathBuilder.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/PathBuilder.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes;
 
@@ -6,6 +7,6 @@
 import java.util.HashSet;
 import java.util.Map;
+import java.util.Map.Entry;
 import java.util.Set;
-import java.util.Map.Entry;
 
 import org.openstreetmap.josm.data.osm.Way;
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteDefinition.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteDefinition.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteDefinition.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes;
 
@@ -4,7 +5,7 @@
 
 import org.openstreetmap.josm.data.osm.OsmPrimitive;
-import org.openstreetmap.josm.data.osm.search.SearchParseError;
 import org.openstreetmap.josm.data.osm.search.SearchCompiler;
 import org.openstreetmap.josm.data.osm.search.SearchCompiler.Match;
+import org.openstreetmap.josm.data.osm.search.SearchParseError;
 
 public class RouteDefinition {
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteLayer.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteLayer.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RouteLayer.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes;
 
@@ -10,5 +11,4 @@
 import javax.swing.Icon;
 
-import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.Bounds;
 import org.openstreetmap.josm.data.osm.DataSet;
@@ -29,4 +29,5 @@
 import org.openstreetmap.josm.plugins.routes.xml.RoutesXMLLayer;
 import org.openstreetmap.josm.plugins.routes.xml.RoutesXMLRoute;
+import org.openstreetmap.josm.spi.preferences.Config;
 import org.openstreetmap.josm.tools.ColorHelper;
 import org.openstreetmap.josm.tools.ImageProvider;
@@ -34,129 +35,129 @@
 public class RouteLayer extends Layer implements DataSetListenerAdapter.Listener {
 
-	private final PathPainter pathPainter;
-	private final PathBuilder pathBuilder = new PathBuilder();
-	private final List<RouteDefinition> routes = new ArrayList<>();
-	private volatile boolean datasetChanged = true;
+    private final PathPainter pathPainter;
+    private final PathBuilder pathBuilder = new PathBuilder();
+    private final List<RouteDefinition> routes = new ArrayList<>();
+    private volatile boolean datasetChanged = true;
 
-	public RouteLayer(RoutesXMLLayer xmlLayer) {
-		super(xmlLayer.getName());
+    public RouteLayer(RoutesXMLLayer xmlLayer) {
+        super(xmlLayer.getName());
 
-		int index = 0;
-		for (RoutesXMLRoute route:xmlLayer.getRoute()) {
-			if (route.isEnabled()) {
-				Color color = ColorHelper.html2color(route.getColor());
-				if (color == null) {
-					color = Color.RED;
-					System.err.printf("Routes plugin - unable to convert color (%s)\n", route.getColor());
-				}
-				routes.add(new RouteDefinition(index++, color, route.getPattern()));
-			}
-		}
+        int index = 0;
+        for (RoutesXMLRoute route:xmlLayer.getRoute()) {
+            if (route.isEnabled()) {
+                Color color = ColorHelper.html2color(route.getColor());
+                if (color == null) {
+                    color = Color.RED;
+                    System.err.printf("Routes plugin - unable to convert color (%s)\n", route.getColor());
+                }
+                routes.add(new RouteDefinition(index++, color, route.getPattern()));
+            }
+        }
 
-		if ("wide".equals(Main.pref.get("routes.painter"))) {
-			pathPainter = new WideLinePainter(this);
-		} else {
-			pathPainter = new NarrowLinePainter(this);
-		}
+        if ("wide".equals(Config.getPref().get("routes.painter"))) {
+            pathPainter = new WideLinePainter(this);
+        } else {
+            pathPainter = new NarrowLinePainter(this);
+        }
 
-		DatasetEventManager.getInstance().addDatasetListener(new DataSetListenerAdapter(this), FireMode.IMMEDIATELY);
-	}
+        DatasetEventManager.getInstance().addDatasetListener(new DataSetListenerAdapter(this), FireMode.IMMEDIATELY);
+    }
 
-	@Override
-	public Icon getIcon() {
-		return ImageProvider.get("layer", "osmdata_small");
-	}
+    @Override
+    public Icon getIcon() {
+        return ImageProvider.get("layer", "osmdata_small");
+    }
 
-	@Override
-	public Object getInfoComponent() {
-		return null;
-	}
+    @Override
+    public Object getInfoComponent() {
+        return null;
+    }
 
-	@Override
-	public Action[] getMenuEntries() {
-		return new Action[0];
-	}
+    @Override
+    public Action[] getMenuEntries() {
+        return new Action[0];
+    }
 
-	@Override
-	public String getToolTipText() {
-		return "Hiking routes";
-	}
+    @Override
+    public String getToolTipText() {
+        return "Hiking routes";
+    }
 
-	@Override
-	public boolean isMergable(Layer other) {
-		return false;
-	}
+    @Override
+    public boolean isMergable(Layer other) {
+        return false;
+    }
 
-	@Override
-	public void mergeFrom(Layer from) {
-		// Merging is not supported
-	}
+    @Override
+    public void mergeFrom(Layer from) {
+        // Merging is not supported
+    }
 
-	private void addRelation(Relation relation, RouteDefinition route) {
-		for (RelationMember member:relation.getMembers()) {
-			if (member.getMember() instanceof Way) {
-				Way way = (Way)member.getMember();
-				pathBuilder.addWay(way, route);
-			}
-		}
-	}
+    private void addRelation(Relation relation, RouteDefinition route) {
+        for (RelationMember member:relation.getMembers()) {
+            if (member.getMember() instanceof Way) {
+                Way way = (Way) member.getMember();
+                pathBuilder.addWay(way, route);
+            }
+        }
+    }
 
-	@Override
-	public void paint(Graphics2D g, MapView mv, Bounds bounds) {
+    @Override
+    public void paint(Graphics2D g, MapView mv, Bounds bounds) {
 
-		DataSet dataset = MainApplication.getLayerManager().getEditDataSet();
+        DataSet dataset = MainApplication.getLayerManager().getEditDataSet();
 
-		if (dataset == null) {
-			return;
-		}
+        if (dataset == null) {
+            return;
+        }
 
-		if (datasetChanged) {
-			datasetChanged = false;
-			pathBuilder.clear();
+        if (datasetChanged) {
+            datasetChanged = false;
+            pathBuilder.clear();
 
-			for (Relation relation:dataset.getRelations()) {
-				for (RouteDefinition route:routes) {
-					if (route.matches(relation)) {
-						addRelation(relation, route);
-					}
-				}
-			}
+            for (Relation relation:dataset.getRelations()) {
+                for (RouteDefinition route:routes) {
+                    if (route.matches(relation)) {
+                        addRelation(relation, route);
+                    }
+                }
+            }
 
-			for (Way way:dataset.getWays()) {
-				for (RouteDefinition route:routes) {
-					if (route.matches(way)) {
-						pathBuilder.addWay(way, route);
-					}
-				}
-			}
-		}
+            for (Way way:dataset.getWays()) {
+                for (RouteDefinition route:routes) {
+                    if (route.matches(way)) {
+                        pathBuilder.addWay(way, route);
+                    }
+                }
+            }
+        }
 
-		Stroke stroke = g.getStroke();
-		Color color   = g.getColor();
-		for (ConvertedWay way:pathBuilder.getConvertedWays()) {
-			pathPainter.drawWay(way, mv, g);
-		}
-		g.setStroke(stroke);
-		g.setColor(color);
+        Stroke stroke = g.getStroke();
+        Color color = g.getColor();
+        for (ConvertedWay way:pathBuilder.getConvertedWays()) {
+            pathPainter.drawWay(way, mv, g);
+        }
+        g.setStroke(stroke);
+        g.setColor(color);
 
-	}
+    }
 
-	@Override
-	public void visitBoundingBox(BoundingXYVisitor v) {
+    @Override
+    public void visitBoundingBox(BoundingXYVisitor v) {
 
-	}
+    }
 
-	public List<RouteDefinition> getRoutes() {
-		return routes;
-	}
+    public List<RouteDefinition> getRoutes() {
+        return routes;
+    }
 
-	@Override
-	public void processDatasetEvent(AbstractDatasetChangedEvent event) {
-		datasetChanged = true;
-	}
+    @Override
+    public void processDatasetEvent(AbstractDatasetChangedEvent event) {
+        datasetChanged = true;
+    }
 
-	@Override
-	public synchronized void destroy() {
-		/* layer is reused, don't destroy it at all */
-	}
+    @Override
+    public synchronized void destroy() {
+        /* layer is reused, don't destroy it at all */
+    }
 }
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RoutesPlugin.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RoutesPlugin.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/RoutesPlugin.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes;
 
@@ -61,5 +62,5 @@
                     Routes.class.getPackage().getName(), Routes.class.getClassLoader());
             Unmarshaller unmarshaller = context.createUnmarshaller();
-            Routes routes = (Routes)unmarshaller.unmarshal(
+            Routes routes = (Routes) unmarshaller.unmarshal(
                     new FileInputStream(getPluginDirs().getUserDataDirectory(false) + File.separator + "routes.xml"));
             for (RoutesXMLLayer layer:routes.getLayer()) {
@@ -69,5 +70,5 @@
             }
         } catch (Exception e) {
-            e.printStackTrace();
+            Logging.error(e);
         }
     }
@@ -97,9 +98,9 @@
     public void layerRemoving(LayerRemoveEvent e) {
         for (Layer layer : e.getSource().getLayers()) {
-            if (layer instanceof OsmDataLayer)  {
+            if (layer instanceof OsmDataLayer) {
                 return; /* at least one OSM layer left, do nothing */
             }
         }
-        if(!e.isLastLayer()) {
+        if (!e.isLastLayer()) {
             SwingUtilities.invokeLater(() -> {
                 for (RouteLayer routeLayer : routeLayers) {
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/AbstractLinePainter.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/AbstractLinePainter.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/AbstractLinePainter.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes.paint;
 
@@ -17,10 +18,9 @@
     protected boolean getLineLineIntersection(Line2D.Double l1,
             Line2D.Double l2,
-            Point intersection)
-    {
+            Point intersection) {
         double x1 = l1.getX1(), y1 = l1.getY1(),
-               x2 = l1.getX2(), y2 = l1.getY2(),
-               x3 = l2.getX1(), y3 = l2.getY1(),
-               x4 = l2.getX2(), y4 = l2.getY2();
+                x2 = l1.getX2(), y2 = l1.getY2(),
+                x3 = l2.getX1(), y3 = l2.getY1(),
+                x4 = l2.getX2(), y4 = l2.getY2();
         double dx1 = x2 - x1;
         double dx2 = x4 - x3;
@@ -31,10 +31,10 @@
 
         if (Math.abs(dy2 * dx1 - dx2 * dy1) < 0.0001) {
-            intersection.x = (int)l1.x2;
-            intersection.y = (int)l1.y2;
+            intersection.x = (int) l1.x2;
+            intersection.y = (int) l1.y2;
             return false;
         } else {
-            intersection.x = (int)(x1 + ua * (x2 - x1));
-            intersection.y = (int)(y1 + ua * (y2 - y1));
+            intersection.x = (int) (x1 + ua * (x2 - x1));
+            intersection.y = (int) (y1 + ua * (y2 - y1));
         }
 
@@ -42,6 +42,5 @@
     }
 
-    protected double det(double a, double b, double c, double d)
-    {
+    protected double det(double a, double b, double c, double d) {
         return a * d - b * c;
     }
@@ -60,5 +59,5 @@
         ndy = ndy / length;
 
-        return new Point((int)(p1.getX() + shift * ndx), (int)(p1.getY() + shift * ndy));
+        return new Point((int) (p1.getX() + shift * ndx), (int) (p1.getY() + shift * ndy));
     }
 
@@ -117,5 +116,5 @@
                         int dx = p.x - p2.x;
                         int dy = p.y - p2.y;
-                        int distance = (int)Math.sqrt(dx * dx + dy * dy);
+                        int distance = (int) Math.sqrt(dx * dx + dy * dy);
                         if (distance > 10) {
                             p.x = p2.x + dx / (distance / 10);
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/NarrowLinePainter.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/NarrowLinePainter.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/NarrowLinePainter.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes.paint;
 
@@ -21,4 +22,5 @@
     }
 
+    @Override
     public void drawWay(ConvertedWay way, MapView mapView, Graphics2D g) {
         List<Node> nodes = way.getNodes();
@@ -33,7 +35,7 @@
         //double shift = -totalWidth / 2 + width / 2;
         double width = LINE_WIDTH;
-        double shift = - (LINE_WIDTH * routes.cardinality()) / 2 + width / 2;
+        double shift = -(LINE_WIDTH * routes.cardinality()) / 2 + width / 2;
 
-        for (int k=0; k<routes.length(); k++) {
+        for (int k = 0; k < routes.length(); k++) {
 
             if (!routes.get(k)) {
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/PathPainter.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/PathPainter.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/PathPainter.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes.paint;
 
@@ -8,5 +9,5 @@
 public interface PathPainter {
 
-    public void drawWay(ConvertedWay way, MapView mapView, Graphics2D g);
+    void drawWay(ConvertedWay way, MapView mapView, Graphics2D g);
 
 }
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/WideLinePainter.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/WideLinePainter.java	(revision 33896)
+++ applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/paint/WideLinePainter.java	(revision 34477)
@@ -1,2 +1,3 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.routes.paint;
 
@@ -22,4 +23,5 @@
     }
 
+    @Override
     public void drawWay(ConvertedWay way, MapView mapView, Graphics2D g) {
         List<Node> nodes = way.getNodes();
@@ -34,5 +36,5 @@
         double shift = -totalWidth / 2 + width / 2;
 
-        for (int k=0; k<routes.length(); k++) {
+        for (int k = 0; k < routes.length(); k++) {
 
             if (!routes.get(k)) {
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/ObjectFactory.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/ObjectFactory.java	(revision 33896)
+++ 	(revision )
@@ -1,63 +1,0 @@
-//
-// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
-// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
-// Any modifications to this file will be lost upon recompilation of the source schema.
-// Generated on: 2009.07.19 at 03:50:48 odp. CEST
-//
-
-
-package org.openstreetmap.josm.plugins.routes.xml;
-
-import javax.xml.bind.annotation.XmlRegistry;
-
-
-/**
- * This object contains factory methods for each
- * Java content interface and Java element interface
- * generated in the org.openstreetmap.josm.plugins.routes.xml package.
- * <p>An ObjectFactory allows you to programatically
- * construct new instances of the Java representation
- * for XML content. The Java representation of XML
- * content can consist of schema derived interfaces
- * and classes representing the binding of schema
- * type definitions, element declarations and model
- * groups.  Factory methods for each of these are
- * provided in this class.
- *
- */
-@XmlRegistry
-public class ObjectFactory {
-
-
-    /**
-     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.openstreetmap.josm.plugins.routes.xml
-     *
-     */
-    public ObjectFactory() {
-    }
-
-    /**
-     * Create an instance of {@link RoutesXMLRoute }
-     *
-     */
-    public RoutesXMLRoute createRoutesXMLRoute() {
-        return new RoutesXMLRoute();
-    }
-
-    /**
-     * Create an instance of {@link RoutesXMLLayer }
-     *
-     */
-    public RoutesXMLLayer createRoutesXMLLayer() {
-        return new RoutesXMLLayer();
-    }
-
-    /**
-     * Create an instance of {@link Routes }
-     *
-     */
-    public Routes createRoutes() {
-        return new Routes();
-    }
-
-}
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/Routes.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/Routes.java	(revision 33896)
+++ 	(revision )
@@ -1,76 +1,0 @@
-//
-// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
-// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
-// Any modifications to this file will be lost upon recompilation of the source schema.
-// Generated on: 2009.07.19 at 03:50:48 odp. CEST
-//
-
-
-package org.openstreetmap.josm.plugins.routes.xml;
-
-import java.util.ArrayList;
-import java.util.List;
-import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlAccessorType;
-import javax.xml.bind.annotation.XmlRootElement;
-import javax.xml.bind.annotation.XmlType;
-
-
-/**
- * <p>Java class for anonymous complex type.
- *
- * <p>The following schema fragment specifies the expected content contained within this class.
- *
- * <pre>
- * &lt;complexType>
- *   &lt;complexContent>
- *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
- *       &lt;sequence>
- *         &lt;element name="layer" type="{http://www.example.org/routes}layer" maxOccurs="unbounded" minOccurs="0"/>
- *       &lt;/sequence>
- *     &lt;/restriction>
- *   &lt;/complexContent>
- * &lt;/complexType>
- * </pre>
- *
- *
- */
-@XmlAccessorType(XmlAccessType.FIELD)
-@XmlType(name = "", propOrder = {
-    "layer"
-})
-@XmlRootElement(name = "routes")
-public class Routes {
-
-    protected List<RoutesXMLLayer> layer;
-
-    /**
-     * Gets the value of the layer property.
-     *
-     * <p>
-     * This accessor method returns a reference to the live list,
-     * not a snapshot. Therefore any modification you make to the
-     * returned list will be present inside the JAXB object.
-     * This is why there is not a <CODE>set</CODE> method for the layer property.
-     *
-     * <p>
-     * For example, to add a new item, do as follows:
-     * <pre>
-     *    getLayer().add(newItem);
-     * </pre>
-     *
-     *
-     * <p>
-     * Objects of the following type(s) are allowed in the list
-     * {@link RoutesXMLLayer }
-     *
-     *
-     */
-    public List<RoutesXMLLayer> getLayer() {
-        if (layer == null) {
-            layer = new ArrayList<>();
-        }
-        return this.layer;
-    }
-
-}
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/RoutesXMLLayer.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/RoutesXMLLayer.java	(revision 33896)
+++ 	(revision )
@@ -1,133 +1,0 @@
-//
-// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
-// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
-// Any modifications to this file will be lost upon recompilation of the source schema.
-// Generated on: 2009.07.19 at 03:50:48 odp. CEST
-//
-
-
-package org.openstreetmap.josm.plugins.routes.xml;
-
-import java.util.ArrayList;
-import java.util.List;
-import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlAccessorType;
-import javax.xml.bind.annotation.XmlAttribute;
-import javax.xml.bind.annotation.XmlType;
-
-
-/**
- * <p>Java class for layer complex type.
- *
- * <p>The following schema fragment specifies the expected content contained within this class.
- *
- * <pre>
- * &lt;complexType name="layer">
- *   &lt;complexContent>
- *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
- *       &lt;sequence>
- *         &lt;element name="route" type="{http://www.example.org/routes}route" maxOccurs="unbounded" minOccurs="0"/>
- *       &lt;/sequence>
- *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
- *       &lt;attribute name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
- *     &lt;/restriction>
- *   &lt;/complexContent>
- * &lt;/complexType>
- * </pre>
- *
- *
- */
-@XmlAccessorType(XmlAccessType.FIELD)
-@XmlType(name = "layer", propOrder = {
-    "route"
-})
-public class RoutesXMLLayer {
-
-    protected List<RoutesXMLRoute> route;
-    @XmlAttribute
-    protected String name;
-    @XmlAttribute
-    protected Boolean enabled;
-
-    /**
-     * Gets the value of the route property.
-     *
-     * <p>
-     * This accessor method returns a reference to the live list,
-     * not a snapshot. Therefore any modification you make to the
-     * returned list will be present inside the JAXB object.
-     * This is why there is not a <CODE>set</CODE> method for the route property.
-     *
-     * <p>
-     * For example, to add a new item, do as follows:
-     * <pre>
-     *    getRoute().add(newItem);
-     * </pre>
-     *
-     *
-     * <p>
-     * Objects of the following type(s) are allowed in the list
-     * {@link RoutesXMLRoute }
-     *
-     *
-     */
-    public List<RoutesXMLRoute> getRoute() {
-        if (route == null) {
-            route = new ArrayList<>();
-        }
-        return this.route;
-    }
-
-    /**
-     * Gets the value of the name property.
-     *
-     * @return
-     *     possible object is
-     *     {@link String }
-     *
-     */
-    public String getName() {
-        return name;
-    }
-
-    /**
-     * Sets the value of the name property.
-     *
-     * @param value
-     *     allowed object is
-     *     {@link String }
-     *
-     */
-    public void setName(String value) {
-        this.name = value;
-    }
-
-    /**
-     * Gets the value of the enabled property.
-     *
-     * @return
-     *     possible object is
-     *     {@link Boolean }
-     *
-     */
-    public boolean isEnabled() {
-        if (enabled == null) {
-            return true;
-        } else {
-            return enabled;
-        }
-    }
-
-    /**
-     * Sets the value of the enabled property.
-     *
-     * @param value
-     *     allowed object is
-     *     {@link Boolean }
-     *
-     */
-    public void setEnabled(Boolean value) {
-        this.enabled = value;
-    }
-
-}
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/RoutesXMLRoute.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/RoutesXMLRoute.java	(revision 33896)
+++ 	(revision )
@@ -1,128 +1,0 @@
-//
-// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
-// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
-// Any modifications to this file will be lost upon recompilation of the source schema.
-// Generated on: 2009.07.19 at 03:50:48 odp. CEST
-//
-
-
-package org.openstreetmap.josm.plugins.routes.xml;
-
-import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlAccessorType;
-import javax.xml.bind.annotation.XmlAttribute;
-import javax.xml.bind.annotation.XmlElement;
-import javax.xml.bind.annotation.XmlType;
-
-
-/**
- * <p>Java class for route complex type.
- *
- * <p>The following schema fragment specifies the expected content contained within this class.
- *
- * <pre>
- * &lt;complexType name="route">
- *   &lt;complexContent>
- *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
- *       &lt;sequence>
- *         &lt;element name="pattern" type="{http://www.w3.org/2001/XMLSchema}string"/>
- *       &lt;/sequence>
- *       &lt;attribute name="color" type="{http://www.w3.org/2001/XMLSchema}string" />
- *       &lt;attribute name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
- *     &lt;/restriction>
- *   &lt;/complexContent>
- * &lt;/complexType>
- * </pre>
- *
- *
- */
-@XmlAccessorType(XmlAccessType.FIELD)
-@XmlType(name = "route", propOrder = {
-    "pattern"
-})
-public class RoutesXMLRoute {
-
-    @XmlElement(required = true)
-    protected String pattern;
-    @XmlAttribute
-    protected String color;
-    @XmlAttribute
-    protected Boolean enabled;
-
-    /**
-     * Gets the value of the pattern property.
-     *
-     * @return
-     *     possible object is
-     *     {@link String }
-     *
-     */
-    public String getPattern() {
-        return pattern;
-    }
-
-    /**
-     * Sets the value of the pattern property.
-     *
-     * @param value
-     *     allowed object is
-     *     {@link String }
-     *
-     */
-    public void setPattern(String value) {
-        this.pattern = value;
-    }
-
-    /**
-     * Gets the value of the color property.
-     *
-     * @return
-     *     possible object is
-     *     {@link String }
-     *
-     */
-    public String getColor() {
-        return color;
-    }
-
-    /**
-     * Sets the value of the color property.
-     *
-     * @param value
-     *     allowed object is
-     *     {@link String }
-     *
-     */
-    public void setColor(String value) {
-        this.color = value;
-    }
-
-    /**
-     * Gets the value of the enabled property.
-     *
-     * @return
-     *     possible object is
-     *     {@link Boolean }
-     *
-     */
-    public boolean isEnabled() {
-        if (enabled == null) {
-            return true;
-        } else {
-            return enabled;
-        }
-    }
-
-    /**
-     * Sets the value of the enabled property.
-     *
-     * @param value
-     *     allowed object is
-     *     {@link Boolean }
-     *
-     */
-    public void setEnabled(Boolean value) {
-        this.enabled = value;
-    }
-
-}
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/package-info.java
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/package-info.java	(revision 33896)
+++ 	(revision )
@@ -1,9 +1,0 @@
-//
-// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
-// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
-// Any modifications to this file will be lost upon recompilation of the source schema.
-// Generated on: 2009.07.19 at 03:50:48 odp. CEST
-//
-
-@javax.xml.bind.annotation.XmlSchema(namespace = "http://www.example.org/routes", elementFormDefault = javax.xml.bind.annotation.XmlNsForm.QUALIFIED)
-package org.openstreetmap.josm.plugins.routes.xml;
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/routes.xml
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/routes.xml	(revision 33896)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<routes xmlns="http://www.example.org/routes" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.example.org/routes routes.xsd ">
-<!-- pattern is the same pattern as used in SearchAction -->
-    <layer name="Czech hiking trails">
-        <route color="#FF0000">
-            <pattern>
-            ((type:relation | type:way) kct_red=*) | (color=red type=route route=hiking network="cz:kct")
-            </pattern>
-        </route>
-        <route color="#FFFF00">
-            <pattern>
-            ((type:relation | type:way) kct_yellow=*) | (color=yellow type=route route=hiking network="cz:kct")
-            </pattern>            
-        </route>
-        <route color="#0000FF">
-            <pattern>
-            ((type:relation | type:way) kct_blue=*) | (color=blue type=route route=hiking network="cz:kct")
-            </pattern>
-        </route>
-        <route color="#00FF00">
-            <pattern>
-            ((type:relation | type:way) kct_green=*) | (color=green type=route route=hiking network="cz:kct")
-            </pattern>        
-        </route>
-    </layer>
-    <layer name="Cycle routes">
-        <route color="#FF00FF">
-            <pattern>
-            (type:way (ncn=* | (lcn=* | rcn=* ))) | (type:relation type=route route=bicycle)
-            </pattern>
-        </route>
-    </layer>
-</routes>
Index: applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/routes.xsd
===================================================================
--- applications/editors/josm/plugins/routes/src/org/openstreetmap/josm/plugins/routes/xml/routes.xsd	(revision 33896)
+++ 	(revision )
@@ -1,46 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<schema 
-xmlns="http://www.w3.org/2001/XMLSchema" 
-targetNamespace="http://www.example.org/routes" 
-xmlns:tns="http://www.example.org/routes" 
-elementFormDefault="qualified"
-xmlns:jxb="http://java.sun.com/xml/ns/jaxb" 
-jxb:version="1.0"
-xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-xsi:schemaLocation="http://java.sun.com/xml/ns/jaxb http://java.sun.com/xml/ns/jaxb/bindingschema_1_0.xsd">
-
-<annotation>
-    <appinfo>
-        <jxb:schemaBindings>    
-            <jxb:nameXmlTransform>
-                <jxb:typeName prefix="RoutesXML"/>
-            </jxb:nameXmlTransform>
-        </jxb:schemaBindings>
-    </appinfo>
-</annotation>
-
-<element name="routes">
-    <complexType>
-        <sequence>
-            <element name="layer" type="tns:layer" minOccurs="0" maxOccurs="unbounded"/>
-        </sequence>
-    </complexType>
-</element>
-
-<complexType name="layer">
-    <sequence>
-        <element name="route" type="tns:route" minOccurs="0" maxOccurs="unbounded"/>
-    </sequence>
-    <attribute name="name" type="string"/>
-    <attribute name="enabled" type="boolean" default="true"/>
-</complexType>
-
-<complexType name="route">
-    <sequence>
-        <element name="pattern" type="string"/>        
-    </sequence>
-    <attribute name="color" type="string"/>
-    <attribute name="enabled" type="boolean" default="true"/>
-</complexType>
-
-</schema>